# ORCA NH3 inversion DFT (BLYP) transition state optimisation

# Initialise ChemShell
from chemsh import *

# Read in NH3 geometry from disk
my_mol = Fragment(coords="nh3.xyz")

# Set up the QM calculation
my_theory = ORCA(frag=my_mol, method="dft", functional="blyp", basis="3-21g", convergence="TightSCF")

# Request an optimisation using DL-FIND
opt = Opt(theory=my_theory, coordinates="dlc", algorithm="prfo", tolerance=0.0003)
opt.run()

# Save the optimised transition state geometry to disk
my_mol.save("prfo_opt.xyz")
